$!
$!           file: QEP.COM
$!
$!  Print the query execution plan and results of a query.
$!  Usage:  @qep   <filename> [<NOEX>]
$!  where:  parameter <filename> contains the query to be evaluated
$!                    [<NOEX>] is an optional flag to prevent execution
$!
$!  Example:  @qep test.qry NOEX  
$!            will generate but not execute the query stored in file test.qry
$!
$!---------------------------------------------------------------------------
$!
$if P1 .eqs. "" then goto noquery
$if P2 .eqs. "NOEX"
$then
$create query.tmp
set trace point op160;
$append 'P1' query.tmp
$else
$copy 'P1' query.tmp 
$endif
$print query.tmp
$define sys$output qep.out
$! Escape sequence for HP Laserjet printers
$! <esc> legal, landscape, 16.66 char/inch
$write sys$output "&l3a&l1O(s16.66H"
$sql lims
set qep;
set lockmode session where readlock=nolock;
set printqry;
\i query.tmp
\t;
\g;
\t;
set noqep;
set noprintqry;
\q
$! reset printer
$write sys$output "E"
$deassign sys$output
$print qep.out
$pur qep.out
$del query.tmp;*
$exit
$noquery:
$write sys$output "Specify file name containing the query."
